StrLookup (Apache Commons Lang 3.17.0 API)
Description: declaration: package: org.apache.commons.lang3.text, class: StrLookup

Package org.apache.commons.lang3.text

# Class StrLookup<V>

java.lang.Object
org.apache.commons.lang3.text.StrLookup<V>

Type Parameters:
  `V` - Unused.

@Deprecated public abstract class StrLookup<V> extends Object
Deprecated.
As of 3.6, use Apache Commons Text StringLookupFactory instead
Lookup a String key to a String value.

This class represents the simplest form of a string to string map. It has a benefit over a map in that it can create the result on demand based on the key.

This class comes complete with various factory methods. If these do not suffice, you can subclass and implement your own matcher.

For example, it would be possible to implement a lookup that used the key as a primary key, and looked up the value on demand from the database.

Since:
  2.2

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `StrLookup()`
  Deprecated.
  Constructs a new instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract String`
  `lookup(String key)`
  Deprecated.
  Looks up a String key to a String value.
  `static <V> StrLookup<V>`
  `mapLookup(Map<String,V> map)`
  Deprecated.
  Returns a lookup which looks up values using a map.
  `static StrLookup<?>`
  `noneLookup()`
  Deprecated.
  Returns a lookup which always returns null.
  `static StrLookup<String>`
  `systemPropertiesLookup()`
  Deprecated.
  Returns a new lookup which uses a copy of the current `System properties`.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### StrLookup

    protected StrLookup()
    Deprecated.
    Constructs a new instance.

- ## Method Details

  - ### mapLookup

    public static <V> StrLookup<V> mapLookup(Map<String,V> map)
    Deprecated.
    Returns a lookup which looks up values using a map.

    If the map is null, then null will be returned from every lookup. The map result object is converted to a string using toString().

    Type Parameters:
      `V` - the type of the values supported by the lookup
    Parameters:
      `map` - the map of keys to values, may be null
    Returns:
      a lookup using the map, not null

  - ### noneLookup

    public static StrLookup<?> noneLookup()
    Deprecated.
    Returns a lookup which always returns null.
    Returns:
      a lookup that always returns null, not null

  - ### systemPropertiesLookup

    public static StrLookup<String> systemPropertiesLookup()
    Deprecated.
    Returns a new lookup which uses a copy of the current `System properties`.

    If a security manager blocked access to system properties, then null will be returned from every lookup.

    If a null key is used, this lookup will throw a NullPointerException.

    Returns:
      a lookup using system properties, not null

  - ### lookup

    public abstract String lookup(String key)
    Deprecated.
    Looks up a String key to a String value.

    The internal implementation may use any mechanism to return the value. The simplest implementation is to use a Map. However, virtually any implementation is possible.

    For example, it would be possible to implement a lookup that used the key as a primary key, and looked up the value on demand from the database Or, a numeric based implementation could be created that treats the key as an integer, increments the value and return the result as a string - converting 1 to 2, 15 to 16 etc.

    The `lookup(String)` method always returns a String, regardless of the underlying data, by converting it as necessary. For example:

         Map<String, Object> map = new HashMap<String, Object>();
         map.put("number", Integer.valueOf(2));
         assertEquals("2", StrLookup.mapLookup(map).lookup("number"));

    Parameters:
      `key` - the key to be looked up, may be null
    Returns:
      the matching value, null if no match